package fri.util.javascript.bom;

/**
 * @author Fritz Ritzberger Sep 14, 2014
 */
public class NavigatorMock
{
	private String appCodeName =  "browser_mock";
	
	/** @return the code name of the browser. */
	public String getAppCodeName() {
		return appCodeName;
	}

	private String appName = "Browser Mock";
	
	/** @return the name of the browser. */
	public String getAppName() {
		return appName;
	}

	private String appVersion = "1.0";
	
	/** @return the version information of the browser. */
	public String getAppVersion() {
		return appVersion;
	}

	private boolean cookieEnabled = true;
	
	/** @return whether cookies are enabled in the browser. */
	public boolean isCookieEnabled() {
		return cookieEnabled;
	}

	private String language = "en";
	
	/** @return the language of the browser. */
	public String getLanguage() {
		return language;
	}

	private boolean onLine = false;
	
	/** @return whether the browser is online. */
	public boolean isOnLine() {
		return onLine;
	}

	private String platform = "Mock O.S.";
	
	/** @return for which platform the browser is compiled. */
	public String getPlatform() {
		return platform;
	}

	private String product = "Mock Prod.";
	
	/** @return the engine name of the browser. */
	public String getProduct() {
		return product;
	}

	private String userAgent = "Mozilla/4.0 (compatible; Mozilla/5.0 ; Mock O.S.)";

	/** @return the user-agent header sent by the browser to the server. */
	public String getUserAgent() {
		return userAgent;
	}

}
