package fri.util.javascript.htmlunit;

import java.util.List;

import com.gargoylesoftware.htmlunit.WebClient;
import com.gargoylesoftware.htmlunit.html.HtmlPage;

/**
 * Just an example for HtmlUnit.
 * 
 * @author Fritz Ritzberger Sep 24, 2014
 */
public class HtmlUnitExample
{
	public static void main(String[] args) throws Exception {
		final WebClient webClient = new WebClient();
		final HtmlPage page = webClient.getPage("http://www.google.com");
		final List<?> divs = page.querySelectorAll("div");
		
		for (Object div : divs)
			System.out.println(div);
		
		webClient.closeAllWindows();
	}

}
