package fri.util.javascript.htmlunit;

import java.io.PrintStream;

import com.gargoylesoftware.htmlunit.WebConsole.Logger;

import fri.util.javascript.bom.ConsoleMock;

public class PrintlnLogger implements Logger
{
	private static final PrintStream stream = ConsoleMock.stream;
	
	@Override
	public void trace(final Object message) {
		stream.println("TRACE: "+message);
	}

	@Override
	public void debug(final Object message) {
		stream.println("DEBUG: "+message);
	}

	@Override
	public void info(final Object message) {
		stream.println(message);
	}

	@Override
	public void warn(final Object message) {
		stream.println("WARN: "+message);
	}

	@Override
	public void error(final Object message) {
		stream.println("ERROR: "+message);
	}

}
