package fri.util.javascript.bom;

import java.io.PrintStream;

/**
 * JavaScript <code>console.log()</code> writes to this.
 * 
 * @author Fritz Ritzberger Sep 14, 2014
 */
public class ConsoleMock
{
	/** Is public non-final just for test-purposes. */
	public static PrintStream stream = System.err;
	
	/** Called from JavaScript. */
	public void log(Object text)	{
		stream.println(text);
	}
}
